{% extends 'index.html' %} {% load static %} {% load steps %} {% load linebreaksodt %} {% load watersign %} {% block header-js %} {{ block.super }}

<script src="{% static 'assets/js/plugins/extensions/jquery.redirect.js' %}"></script>
<script src="{% static 'assets/js/vue/vee-validate.min.js' %}"></script>
<script src="{% static 'assets/js/vue/vue-upload-component.min.js' %}"></script>
<script src="{% static 'assets/js/vue/validators.js' %}"></script>
{% endblock %} {% block title %}Отчёт {{ report }}{% endblock title %} {% block page %}
<div class="report-detail">
    <div class="report-detail__header section section_default">
        <div class="section__content">
            <h1 class="section__title">Отчёт {{ report }}</h1>
            <div class="report-detail__info">
                <div class="report-detail__date">{{ report.created.date }}</div>
                <div class="report-detail__expert">{{ report.executor.get_full_name }}</div>
            </div>
        </div>
    </div>
    <div class="report-detail__gallery">
        <div class="swiper swiper_loading swiper_h swiper_gallery">
            <div class="swiper__mask">
                <div class="swiper__container">
                    <div class="swiper__wrapper">
                        {{ auto_photo }} {% for photo in auto_photos %} {% if photo.image and photo.image.url %}
                        <div class="swiper__slide"><img class="swiper__img" src="{{ photo.image.url|water_sign }}" /></div>
                        {% endif %} {% endfor %} 
                        ${photos}
                        <div v-for="type in photos">
                            ${type}
                            <div
                                v-for="photo in type"
                                class="swiper__slide"><img class="swiper__img" src="{{ photo.image.url|water_sign }}" /></div>
                                {% endif %} {% if photo.embed_url %}
                                <div class="swiper__slide"><img class="swiper__img" src="{{ photo.embed_url }}" />
                            </div>
                        </div>
       
                    </div>
                </div>
            </div>
            <div class="swiper__pagination"></div>
            <div class="swiper__button swiper__button_prev">
                <div class="btn btn_m btn_circle btn_white btn_controls">
                    <div class="btn__icon icon icon_24">
                        <svg>
                                <use xlink:href="#icon_arrow-right_24"></use>
                            </svg>
                    </div>
                </div>
            </div>
            <div class="swiper__button swiper__button_next">
                <div class="btn btn_m btn_circle btn_white btn_controls">
                    <div class="btn__icon icon icon_24">
                        <svg>
                                <use xlink:href="#icon_arrow-right_24"></use>
                            </svg>
                    </div>
                </div>
            </div>
            <div class="swiper__expand">
                <div class="btn btn_circle btn_m btn_white">
                    <div class="btn__icon btn__icon_close icon icon_m">
                        <svg>
                                <use xlink:href="#icon_close_24"></use>
                            </svg>
                    </div>
                    <div class="btn__icon btn__icon_zoom icon icon_m">
                        <svg>
                                <use xlink:href="#icon_search_24"></use>
                            </svg>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="report-detail__intro section section_default">
        <div class="section__content">
            {% for step in report.data %} {% if not step|step_is_empty:report %}
            <div class="report-step">
                <div class="report-step__header">
                    <h2 class="report-step__title">
                        <div class="report-step__index"></div>
                        {{ step.name }}
                    </h2>
                </div>
                <div id="page" {% if step.name !='Общая информация' %}style="display: none" {% endif %} v-if="steps && steps.length > 0" class="report-step__content">
                    <div class="report-step__body">
                        {% if step.name == 'Заключение эксперта' %}
                        <div class="report-group">
                            {% if field_perms.reportpodbor.pluses and report.pluses != '' %} {% if field_perms.reportpodbor.order %}
                            <div class="diagnosis diagnosis_info">
                                <div class="diagnosis__header">
                                    <h5 class="diagnosis__title">Заказы</h5>
                                </div>
                                <div class="diagnosis__body">
                                    <div class="diagnosis__item field diagnosis__item_positive">
                                        {% with orders=report.order.all %} {% if not user.is_client %} {% for order in orders %} {% if request.user in order.executors %} {% if perms.order.view_order %}
                                        <div class="list__item"><a class="link link_title" href="{{ order.get_absolute_url }}">{{ order.number_buh }}</a>
                                        </div>
                                        {% else %}
                                        <div class="list__item">{{ order.number_buh }}</div>
                                        {% endif %} {% endif %} {% endfor %} {% elif perms.order.view_order %} {% for order in orders %} {% if order.client == request.user %}
                                        <div class="list__item"><a class="link link_title" href="{{ order.get_absolute_url }}">{{ order.number_buh }}</a></div>
                                        {% endif %} {% endfor %} {% else %} {% if order.client == request.user %}
                                        <div class="list__item">{{ order.number_buh }}</div>
                                        {% endif %} {% endif %} {% endwith %}
                                    </div>
                                </div>
                            </div>
                            {% endif %}
                            <div class="diagnosis diagnosis_info">
                                <div class="diagnosis__header">
                                    <h5 class="diagnosis__title">Плюсы</h5>
                                </div>
                                <div class="diagnosis__body">
                                    <div class="diagnosis__item field diagnosis__item_positive">
                                        <div class="report-field__control report-field__control_positive">
                                            <div class="list list_xs">
                                                <div class="list__item">{{ report.pluses }}</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {% endif %} {% if field_perms.reportpodbor.minuses and report.minuses != '' %}
                            <div class="diagnosis diagnosis_info">
                                <div class="diagnosis__header">
                                    <h5 class="diagnosis__title">Минусы</h5>
                                </div>
                                <div class="diagnosis__body">
                                    <div class="diagnosis__item field diagnosis__item_positive">
                                        <div class="report-field__control report-field__control_positive">
                                            <div class="list list_xs">
                                                <div class="list__item">{{ report.minuses }}</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {% endif %} {% if field_perms.reportpodbor.recommended and report.recommended is not None %}
                            <div class="diagnosis diagnosis_info">
                                <div class="diagnosis__header">
                                    <h5 class="diagnosis__title">Рекомендуем/не рекомендуем</h5>
                                </div>
                                <div class="diagnosis__body">
                                    <div class="diagnosis__item field diagnosis__item_positive">
                                        <div class="report-field__control report-field__control_positive">
                                            <div class="list list_xs">
                                                {% if report.recommended %}
                                                <div class="list__item">Рекомендуем</div>
                                                {% else %}
                                                <div class="list__item">Не рекомендуем</div>
                                                {% endif %}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {% endif %} {% if field_perms.reportpodbor.category and report.category is not None %}
                            <div class="diagnosis diagnosis_info">
                                <div class="diagnosis__header">
                                    <h5 class="diagnosis__title">Категория авто</h5>
                                </div>
                                <div class="diagnosis__body">
                                    <div class="diagnosis__item field diagnosis__item_positive">
                                        <div class="report-field__control report-field__control_positive">
                                            <div class="list list_xs">
                                                <div class="list__item">{{ report.category }}</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {% endif %} {% if field_perms.reportpodbor.result_expert and report.result_expert != '' %}
                            <div class="diagnosis diagnosis_info">
                                <div class="diagnosis__header">
                                    <h5 class="diagnosis__title">Заключение эксперта</h5>
                                </div>
                                <div class="diagnosis__body">
                                    <div class="diagnosis__item field diagnosis__item_positive">
                                        <div class="report-field__control report-field__control_positive">
                                            <div class="list list_xs">
                                                <div class="list__item">{{ report.result_expert }}</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {% endif %} {% if field_perms.reportpodbor.comment_expert and report.comment_expert != '' %}
                            <div class="diagnosis diagnosis_info">
                                <div class="diagnosis__header">
                                    <h5 class="diagnosis__title">Комментарий эксперта</h5>
                                </div>
                                <div class="diagnosis__body">
                                    <div class="diagnosis__item field diagnosis__item_positive">
                                        <div class="report-field__control report-field__control_positive">
                                            <div class="list list_xs">
                                                <div class="list__item">{{ report.comment_expert }}</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {% endif %} {% if field_perms.reportpodbor.comment_manager and report.comment_manager != '' %}
                            <div class="diagnosis diagnosis_info">
                                <div class="diagnosis__header">
                                    <h5 class="diagnosis__title">Комментарий руководителя</h5>
                                </div>
                                <div class="diagnosis__body">
                                    <div class="diagnosis__item field diagnosis__item_positive">
                                        <div class="report-field__control report-field__control_positive">
                                            <div class="list list_xs">
                                                <div class="list__item">{{ report.comment_manager }}</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {% endif %}
                        </div>
                        {% elif step.name == 'Общая информация' %}
                        <div class="data-table data-table_default">
                            <div class="data-table__item">
                                <div class="data-table__var">VIN</div>
                                <div class="data-table__val">{{ report.auto.vin|default_if_none:'-' }}</div>
                            </div>
                            <div class="data-table__item">
                                <div class="data-table__var">Пробег</div>
                                <div class="data-table__val">{{ mileage|default_if_none:'-' }}</div>
                            </div>
                            <div class="data-table__item">
                                <div class="data-table__var">Количество по ПТС</div>
                                <div class="data-table__val">{{ report.auto.owners|default_if_none:'-' }}</div>
                            </div>
                            <div class="data-table__item">
                                <div class="data-table__var">Кузов</div>
                                <div class="data-table__val">{{ report.auto.body_type_auto.name|default_if_none:'-' }}</div>
                            </div>
                            <div class="data-table__item">
                                <div class="data-table__var">Цвет</div>
                                <div class="data-table__val">{{ report.auto.color_auto|default_if_none:'-' }}</div>
                            </div>
                            <div class="data-table__item">
                                <div class="data-table__var">Двигатель</div>
                                <div class="data-table__val">{{ engine_type|default_if_none:'-' }}</div>
                            </div>
                            <div class="data-table__item">
                                <div class="data-table__var">Год выпуска</div>
                                <div class="data-table__val">{{ year_auto|default_if_none:'-' }}</div>
                            </div>
                            <div class="data-table__item">
                                <div class="data-table__var">Объём</div>
                                <div class="data-table__val">{{ report.auto.engine_capacity|default_if_none:'-' }}</div>
                            </div>
                            <div class="data-table__item">
                                <div class="data-table__var">Мощность</div>
                                <div class="data-table__val">{{ report.auto.horsepower|default_if_none:'-' }}</div>
                            </div>
                            <div class="data-table__item">
                                <div class="data-table__var">Трансмиссия</div>
                                <div class="data-table__val">{{ transmission_type|default_if_none:'-' }}</div>
                            </div>
                            <div class="data-table__item">
                                <div class="data-table__var">Привод</div>
                                <div class="data-table__val">{{ drive_type|default_if_none:'-' }}</div>
                            </div>
                            <div class="data-table__item">
                                <div class="data-table__var">Салон</div>
                                <div class="data-table__val">{{ salon_auto|default_if_none:'-' }}</div>
                            </div>
                            <div class="data-table__item">
                                <div class="data-table__var">Цвет салон</div>
                                <div class="data-table__val">{{ report.auto.color_salon|default_if_none:'-' }}</div>
                            </div>
                            {% if field_perms.reportpodbor.cost_before %}
                            <div class="data-table__item">
                                <div class="data-table__var">Стоимость до торга</div>
                                <div class="data-table__val">{{ report.cost_before|default_if_none:'-' }}</div>
                            </div>
                            {% endif %} {% if field_perms.reportpodbor.cost_after %}
                            <div class="data-table__item">
                                <div class="data-table__var">Стоимость после торга</div>
                                <div class="data-table__val">{{ report.cost_after|default_if_none:'-' }}</div>
                            </div>
                            {% endif %} {% if field_perms.reportpodbor.cost_estimated %}
                            <div class="data-table__item">
                                <div class="data-table__var">Оценочная стоимость</div>
                                <div class="data-table__val">{{ report.cost_estimated|default_if_none:'-' }}</div>
                            </div>
                            {% endif %} {% if field_perms.reportpodbor.minuses %}
                            <div class="data-table__item">
                                <div class="data-table__var">Минусы</div>
                                <div class="minuses data-table__val">

                                    {{ report.minuses|safe|default_if_none:'-' }}
                                </div>

                            </div>
                            {% endif %} {% if field_perms.reportpodbor.pluses %}
                            <div class="data-table__item">
                                <div class="data-table__var">Плюсы</div>
                                <div class="pluses data-table__val">{{ report.pluses|safe|default_if_none:'-' }}</div>
                            </div>
                            {% endif %}
                            <div class="data-table__item">
                                <div class="data-table__var"><b>Вывод эксперта</b></div>
                                <div class="expert_conclusion data-table__val"><b>{{ report.result_expert |safe|default_if_none:'-' }}</b></div>
                            </div>
                            {% if report.comment_expert %}
                            <div class="data-table__item">
                                <div class="data-table__var"><b>Комментарий</b></div>
                                <div class="expert_conclusion data-table__val"><b>{{ report.comment_expert|safe }}</b></div>
                            </div>
                            {% endif %}
                        </div>
                        {% else %} {% if step.name == 'Кузов' %} {% include 'report/inside_shema.html' %} {% include 'report/forse_shema.html' %} {% else %} {% for group in step.groups %}
                        <div class="report-group">
                            <div class="report-group__body">
                                {% if group.name and not group|group_is_empty %}
                                <div class="report-group__header">
                                    <h3 class="report-group__title">{{ group.name }}</h3>
                                </div>
                                {% endif %} {% for field in group.fields %} {% if field.value or field.range or field.comment %} {% if field.type == 'boolean' or field.type == 'body' or field.type == 'range' or field.type == 'image' or field.type == 'group' %}
                                <div class="diagnosis diagnosis_diagnosis">
                                    <div class="diagnosis__header">
                                        {% if step.name != 'Юридическая проверка' %}

                                        <div class="diagnosis__icon icon icon_m {% if field.value %}icon_success{% else %}icon_fail{% endif %} icon_circle">
                                            <svg>
                                                                                        {% if field.value %}
                                                                                            <use xlink:href="#icon_check_24"></use>
                                                                                        {% else %}
                                                                                            <use xlink:href="#icon_close_24"></use>
                                                                                        {% endif %}
                                                                                    </svg>
                                        </div>
                                        {% endif %}
                                        <h5 class="diagnosis__title">{{ field.label }}</h5>
                                    </div>
                                    <div class="diagnosis__body">
                                        {% if field.type == 'body' %}
                                        <div class="diagnosis__item diagnosis__item_positive">
                                            {% if field.negative.type == 'checkbox' %}
                                            <div class="list list_xs">
                                                {% for item in field.negative.items %} {% if item.value %}
                                                <div class="list__item">{{ item.label }}</div>
                                                {% endif %} {% endfor %}
                                            </div>
                                            {% elif field.negative.type == 'radio' %}
                                            <div class="list list_xs">
                                                <div class="list__item">{{ field.negative.value }}</div>
                                            </div>
                                            {% endif %}
                                        </div>
                                        {% elif field.type == 'image' %}
                                        <div class="diagnosis__item">
                                            <div class="gallery gallery_default">
                                                {% for photo in field.value %}
                                                <div class="gallery__item"><img src="{{ photo.image }}" /></div>
                                                {% endfor %}
                                            </div>
                                        </div>
                                        {% elif field.type == 'range' %}
                                        <div class="diagnosis__item">
                                            <div class="diagnosis-range">
                                                <div class="diagnosis-range__bar"></div>
                                                <div class="diagnosis-range__mask" style="transform:translateX({{ field.range.0 }}%);"></div>

                                            </div>
                                            <div class="noUi-pips noUi-pips-horizontal">
                                                <div class="noUi-marker noUi-marker-horizontal noUi-marker-large" style="left: 0.00000%"></div>
                                                <div class="noUi-value noUi-value-horizontal noUi-value-large" style="left: 0.00000%">0</div>
                                                <div class="noUi-marker noUi-marker-horizontal noUi-marker-large" style="left: 25.00000%"></div>
                                                <div class="noUi-value noUi-value-horizontal noUi-value-large" style="left: 25.00000%">25</div>
                                                <div class="noUi-marker noUi-marker-horizontal noUi-marker-large" style="left: 50.00000%"></div>
                                                <div class="noUi-value noUi-value-horizontal noUi-value-large" style="left: 50.00000%">50</div>
                                                <div class="noUi-marker noUi-marker-horizontal noUi-marker-large" style="left: 75.00000%"></div>
                                                <div class="noUi-value noUi-value-horizontal noUi-value-large" style="left: 75.00000%">75</div>
                                                <div class="noUi-marker noUi-marker-horizontal noUi-marker-large" style="left: 100.00000%"></div>
                                                <div class="noUi-value noUi-value-horizontal noUi-value-large" style="left: 100.00000%">100</div>
                                            </div>
                                        </div>
                                        {% elif field.type == 'group' %}
                                        <div class="diagnosis__item field diagnosis__item_positive">
                                            {% if field.positive.type == 'input' %}
                                            <div class="list list_xs">
                                                <div class="list__item">{{ field.positive.value }}</div>
                                            </div>
                                            {% elif field.positive.type == 'select' %}
                                            <div class="field__control control control_default control_m">
                                                <div class="list list_xs">
                                                    {% if field.positive.multiple %} {% for value in field.positive.value %}
                                                    <div class="list__item">{{ value }}</div>
                                                    {% endfor %} {% else %}
                                                    <div class="list__item">{{ field.positive.value }}</div>
                                                    {% endif %}
                                                </div>
                                            </div>
                                            {% endif %}
                                        </div>
                                        <div class="diagnosis__item">
                                            {% if field.negative.type == 'checkbox' %}
                                            <div class="report-field__control report-field__control_positive">
                                                <div class="list list_xs">
                                                    {% for item in field.negative.items %} {% if item.value %}
                                                    <div class="list__item">{{ item.label }}</div>
                                                    {% endif %} {% endfor %}
                                                </div>
                                            </div>
                                            {% elif field.negative.type == 'radio' %}
                                            <div class="report-field__control report-field__control_positive">
                                                <div class="list list_xs">
                                                    <div class="list__item">{{ field.negative.value }}</div>
                                                </div>
                                            </div>
                                            {% endif %}
                                        </div>
                                        {% endif %}
                                    </div>
                                    {% if not field.value and field.comment %}
                                    <div class="diagnosis__footer">
                                        <div class="diagnosis__comment">{{ field.comment }}</div>
                                    </div>
                                    {% elif field.type == 'group' and field.negative.type == 'text' and field.negative.value %}
                                    <div class="diagnosis__footer">
                                        <div class="diagnosis__comment">{{ field.negative.value }}</div>
                                    </div>
                                    {% endif %}
                                </div>
                                {% else %}
                                <div class="diagnosis diagnosis_info">
                                    <div class="diagnosis__header">
                                        <h5 class="diagnosis__title">{{ field.label }}
                                        </h5>
                                    </div>
                                    <div class="diagnosis__body">
                                        <div class="diagnosis__item field diagnosis__item_positive">
                                            {% if field.type == 'input' %}
                                            <div class="report-field__control report-field__control_positive">
                                                <div class="list list_xs">
                                                    <div class="list__item">{{ field.value }}</div>
                                                </div>
                                            </div>
                                            {% elif field.type == 'select' %}
                                            <div class="report-field__control report-field__control_positive">
                                                <div class="list list_xs">
                                                    {% if field.multiple %} {% for value in field.value %}
                                                    <div class="list__item">{{ value }}</div>
                                                    {% endfor %} {% else %}
                                                    <div class="list__item">{{ field.value }}</div>
                                                    {% endif %}
                                                </div>
                                            </div>
                                            {% elif field.type == 'checkbox' %}
                                            <div class="report-field__control report-field__control_positive">
                                                <div class="list list_xs">
                                                    {% for item in field.items %} {% if item.value %}
                                                    <div class="list__item">{{ item.label }}</div>
                                                    {% endif %} {% endfor %}
                                                </div>
                                            </div>
                                            {% elif field.type == 'radio' %}
                                            <div class="report-field__control report-field__control_positive">
                                                <div class="list list_xs">
                                                    <div class="list__item">{{ field.value }}</div>
                                                </div>
                                            </div>
                                            {% elif field.type == 'text' %}
                                            <div class="report-field__control report-field__control_positive">
                                                <div class="list list_xs">
                                                    <div class="list__item">{{ field.value }}</div>
                                                </div>
                                            </div>
                                            {% endif %}
                                        </div>
                                    </div>
                                </div>
                                {% endif %} {% endif %} {% endfor %}
                            </div>
                        </div>
                        {% endfor %} {% endif %} {% endif %}
                    </div>
                    {% if step.comment %}
                    <div class="report-step__footer">
                        <div class="report-step__comment">{{ step.comment }}</div>
                    </div>
                    {% endif %}
                </div>
            </div>
            {% endif %} {% endfor %}
        </div>
    </div>
</div>
{% endblock %} {% block script %} {{ block.super }}
<script>
    var reportTypes = numbersOfHosts = store = {};
    var startStep = 3;
    var report_id = {
        {
            report.id
        }
    }
</script>
<script src="{% static 'js/reportadd.bundle.js' %}"></script>
<script>
    $(document).ready(function() {
        $('.report-step__header').on('click', function() {
            $(this).parent().find('.report-step__content').slideToggle(250);
        })
        $('select').select2({});
    });
    $(window).on('load', function() {
        var swiperGallery = new Swiper('.report-detail__gallery .swiper__container', {
            slidesPerView: 'auto',
            pagination: '.report-detail__gallery .swiper__pagination',
            nextButton: '.report-detail__gallery .swiper__button_next',
            prevButton: '.report-detail__gallery .swiper__button_prev',
            paginationClickable: true,
            centeredSlides: true
        });
        swiperFullscreen = function() {
            if ($('html').hasClass('html_swiper')) {
                $('html').removeClass('html_swiper');
                $('.report-detail__gallery .swiper').addClass('swiper_gallery').removeClass('swiper_fullscreen');
                swiperGallery.update(true);
            } else {
                $('html').addClass('html_swiper');
                $('.report-detail__gallery .swiper').removeClass('swiper_gallery').addClass('swiper_fullscreen');
                swiperGallery.update(true);
            }
        };
        $(document).on('click', '.report-detail__gallery .swiper__expand .btn', function() {
            swiperFullscreen();
        });
    });
</script>
{% endblock %}